Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.loaders
Class VirtualClassDescriptionLoader

    java.lang.Object
      com.sun.tdk.signaturetest.sigfile.FeaturesHolder
          com.sun.tdk.signaturetest.loaders.VirtualClassDescriptionLoader

All Implemented Interfaces:
  ClassDescriptionLoader

Direct Known Subclasses:
  MultipleFileReader

    public class VirtualClassDescriptionLoader

extends FeaturesHolder
implements ClassDescriptionLoader

An abstract class loader that stores and restores classes to/from internal cache

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`FeaturesHolder.Feature`

Field Summary

Fields inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`BuildMembers, ConstInfo, CopyRight, ListOfHiders, MergeModeSupported, NonStaticConstants, OuterClasses, TigerInfo, XHiders`

Constructor Summary
`VirtualClassDescriptionLoader()`

Method Summary
`void` | `add(ClassDescription cls)`
`void` | `cleanUp()`
`java.util.Iterator` | `getClassIterator()`
`ClassDescription` | `load(java.lang.String className)`
`void` | `remove(ClassDescription cls)`
`void` | `remove(java.lang.String clsName)`

Methods inherited from class com.sun.tdk.signaturetest.sigfile.FeaturesHolder
`addSupportedFeature, getSupportedFeatures, isFeatureSupported, isInitialized, removeSupportedFeature, retainFeatures, setFeatures`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualClassDescriptionLoader

    public VirtualClassDescriptionLoader()

Method Detail

### load

    public ClassDescription load(java.lang.String className)
                          throws java.lang.ClassNotFoundException

  Specified by:
    `load` in interface `ClassDescriptionLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### add

    public void add(ClassDescription cls)

### getClassIterator

    public java.util.Iterator getClassIterator()

### remove

    public void remove(ClassDescription cls)

### remove

    public void remove(java.lang.String clsName)

### cleanUp

    public void cleanUp()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD